// You must provide a vertex and fragment shader to OpenGL.

// You have to specify the version of the shader language used.
// GLSL 1.50 is sufficient for our purposes.
#version 150 core

// Color will be coming in OpenGL as a value interpolated for the fragment
// from vertex colors provided by the vertex shader.
in vec4 Color; 

out vec4 fragmentColor;

void main()
{
    // We simply pass on the incoming and fully specified rgba color.
    fragmentColor = Color; 
}
