#version 150 core

//page 89+92 green book

uniform mat4 MV;
uniform mat4 MVP;
uniform mat4 MVIT;

in vec3 position;
in vec3 normal;
in vec3 color;

out vec3 Position;
out vec3 Normal;
out vec3 Color;

void main()
{
	mat3 normalMatrix = mat3(MVIT);
	Normal = normalize(normalMatrix * normal);
	Color = color;
	vec4 eyeCoords = MV * vec4(position, 1.0);
	Position = vec3(eyeCoords);

	gl_Position = MVP * vec4(position, 1.0);
}