#!/bin/sh
# DO NOT move this file! It uses its current location to
# find the program and its libraries. Instead, create a link or alias
# to this file and move the link/alias to a convenient location.

# Good citizenship - get the current working directory.
current_dir=$(pwd)

# Get the directory of the script - this need not be the working 
# directory. Using this method, this may be a relative path such as
# "../../my_3d_id_dir/3d-id.sh", but we don't really need the 
# absolute path.
script_dir=$(dirname $0)

# Change to the script directory.
cd $script_dir

# Run the program.
java -jar 3d-id.jar

# Restore the original working directory.
cd $current_dir
