// You must provide a vertex and fragment shader to OpenGL.
// Here we supply about the simplest possible fragment shader.

// You have to specify the version of the shader language used.
// GLSL 1.50 is sufficient for our purposes.
#version 150 core

// We only set the color of the fragment (pixel).
out vec4 fragmentColor;

void main()
{
    // For this example, the geometry (triangle) pixels will be white.
    // Color format is (red, green, blue, alpha [aka transparency: 1=opaque]).
    // Color component and alpha range is a float, 0.0f-1.0f
    fragmentColor = vec4(1, 1, 1, 1.0); 
}
